#!/bin/sh
#
# Licensed Material of Hitachi, Ltd.
# Reproduction, use, modification or disclosure otherwise than
# permitted in the License Agreement is strictly prohibited.
#
# All Rights Reserved. Copyright (C) 2012, Hitachi, Ltd.
#

PRODUCT="hsnvam_vma"
VERSION="0770-00"


CHKX64CODE="x86_64"
CHKX86CODE="i386"
RPMSDIR="rpms"
PACKAGE64NAME="${PRODUCT}-${VERSION}.${CHKX64CODE}.rpm"
PACKAGE32NAME="${PRODUCT}-${VERSION}.${CHKX86CODE}.rpm"
rpm -q "${PRODUCT}-0740-00" --quiet
CURPACKVER=$?

SETUPSHPATH=$(cd $(dirname $0); pwd)

PACKAGENAME=""
CURRENTCODE=`uname -m`

if [ ${CHKX64CODE} = ${CURRENTCODE} ]
then
    PACKAGENAME=${PACKAGE64NAME}
else
    PACKAGENAME=${PACKAGE32NAME}
fi


LCVER=`rpm -q --qf '%{VERSION}\.%{RELEASE}' snvcli`
if [ $? -ne 0 ]
then
    echo "Server Navigator - Log Collect is not installed. Installation is canceled."
    exit 1
fi
if [ "${LCVER}" \< "3.3.4.1" ]
then
    echo "The older version of Server Navigator - Log Collect is installed. Installation is canceled."
    exit 1
fi

rpm $@ "${SETUPSHPATH}/${RPMSDIR}/${PACKAGENAME}"

if [ ${CURPACKVER} -eq 0 ]
then
    mv -f /opt/hitachi/snv-am-temporary/ /opt/hitachi/snv-am/ > /dev/null 2>&1

    mkdir -p /opt/hitachi/snv-cm/assist
    [ ! -e /opt/hitachi/snv-cm/assist/snv-am ] \
    && ln -s /opt/hitachi/snv-am/cnf/hcsmwdt.xml \
             /opt/hitachi/snv-cm/assist/snv-am > /dev/null 2>&1

    /sbin/chkconfig --add hsnvamon > /dev/null 2>&1
    /etc/init.d/hsnvamon start > /dev/null 2>&1
fi
